Summary: An implementation of the lint program
Name: lclint
Version: 2.4b
Release: 1
Source0: ftp://ftp.sds.lcs.mit.edu/pub/lclint/lclint-%{version}.src.tar.gz
Source1: ftp://ftp.sds.lcs.mit.edu/pub/lclint/guide.tar.gz
Source2: ftp://ftp.sds.lcs.mit.edu/pub/lclint/guide.txt
Source3: lclint.wmconfig
URL: http://www.sds.lcs.mit.edu/lclint/
Group: Development/Tools
Copyright: GPL
BuildRoot: /var/tmp/%{name}-root

%description 
Scans C source code for mistakes and bad style.

%prep
%setup -q

mkdir guide
tar xzf %SOURCE1 -C guide
rm guide/sumsquares
cp %SOURCE2 guide.txt

%build
./configure --prefix=/usr/lib/lclint 
perl -pi -e "s/-O4/$RPM_OPT_FLAGS/" Makefile

make all
# XXX doesn't work unless compiled twice <shrug>
make clean all

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/lclint
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint

make \
    INSTALLDIR=$RPM_BUILD_ROOT/usr/bin \
    LIBDIR=$RPM_BUILD_ROOT/usr/lib/lclint/lib \
    IMPORTSDIR=$RPM_BUILD_ROOT/usr/lib/lclint/imports \
	install

install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc/X11/wmconfig/lclint

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README guide.txt guide
/usr/bin/lclint
/usr/lib/lclint

%changelog
* Sat Sep 11 1999 Jeff Johnson <jbj@redhat.com>
- update to (latest?) 2.4b. Watchout for default -O4 CFLAGS, dinna work for me.

* Mon Jun 06 1998 Michael Maher <mike@redhat.com>
- fixed paths for executable link

* Mon May 17 1998 Michael Maher <mike@redhat.com>
- updated to newest version
- added buildroot
- added wmconfig

* Mon Feb 16 1998 Otto Hammersmith <otto@redhat.com>
- added Summary

* Tue Feb  3 1998 Otto Hammersmith <otto@redhat.com>
- %doc'ed some stuff

* Mon Feb  2 1998 Otto Hammersmith <otto@redhat.com>
- made /usr/lib/lclint/bin a directory, not the executable

* Fri Jan 23 1998 Otto Hammersmith <otto@redhat.com>
- built the package
